package com.scpyun.platform.jilinsscgsdp.bean.vo.task;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.beans.Transient;
import java.io.Serializable;
import java.util.Date;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqBaseVo implements Serializable{
	
	private static final long serialVersionUID = 1L;

	public Integer intId;
	
	public Date dataReceptionTime;
	
	public Date dataProcessingTime;
	
	public String failMsg;
	
	public Date createTime;
	
	public Date updateTime;
	
	public String createBy;
	
	public String updateBy;
	
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public String getFailMsg() {
		return failMsg;
	}

	public void setFailMsg(String failMsg) {
		this.failMsg = failMsg;
	}
	
	@Transient
	public Integer getIntId() {
		return intId;
	}

	public void setIntId(Integer intId) {
		this.intId = intId;
	}
	
	@Transient
	public Date getDataReceptionTime() {
		return dataReceptionTime;
	}

	public void setDataReceptionTime(Date dataReceptionTime) {
		this.dataReceptionTime = dataReceptionTime;
	}
	
	@Transient
	public Date getDataProcessingTime() {
		return dataProcessingTime;
	}

	public void setDataProcessingTime(Date dataProcessingTime) {
		this.dataProcessingTime = dataProcessingTime;
	}
	
}
